## ros-humble-talos-description 2.0.1

=== debian/changelog ===
ros-humble-talos-description (2.0.1-2bookworm) bookworm; urgency=high



 -- Adria Roig <adria.roig@pal-robotics.com>  Wed, 25 Sep 2024 16:00:00 -0000

ros-humble-talos-description (2.0.0-2bookworm) bookworm; urgency=high

  * Merge branch 'ros2-migration' into 'humble-devel'
    Ros2 migration
    See merge request robots/talos_robot!130
  * Fix the leg_left_5_joint parameter to be double
  * Parse the PID config file to the gazebo_ros2_control ROS 2 node
  * Add position PID parameters config file
    https://github.com/ros-controls/gazebo_ros2_control/pull/374 is merged
  * Set hold_joints to false
  * Propagate arg from gazebo launch to robot_state_publisher
  * Adding orientus sensor when launching the robot
  * Fixed torso transmission actuator name
  * Commenting gripper mimic joints not working in real robot
  * Merge branch 'fix/talos/transmissions/ros2' into 'ros2-migration'
    Fix/talos/transmissions/ros2
    See merge request robots/talos_robot!133
  * Fix the torso transmission duplication in ros2_control xacro
  * Fix the wrist transmission of the ros2_control xacro
  * fix the arm transmission ros2_control xacro
  * Adding robot_state_publisher module
  * Remove invalid and unnecessary dependencies
  * Add the possibility to start the simulation with a fixed base or not.
  * Export the odometry of the base from gazebo
  * [format]
  * add force sensor at the feet
  * Try to add the ankle FT sensors for Talos and connect them to ros2_control
  * [talos_descirption] Try to add the force sensors at the feet
  * Remove colons from urdf comments
  * fix talos_description CMakeLists
  * delete useless gazebo plugin for talos
  * enable play_motion2
  * update gripper mimic joint and sensors
  * imu sensor ros2_control
  * add talos_controller_configuration depend.
  * add sensors in ros2_control
  * working version with default position controllers
  * fix publish_frequency passed value (double and not a string)
  * fix torso and head ros2_control
  * migrate all the basic launch files
  * visualization complete for all the models of TALOS
  * make available the spawn of the full_fake_grippers and no_grippers
  * visualization of the arm right model
  * config files for talos_description
  * migration of CMakeLists.txt and package.xml to ros2 - description
  * Contributors: Adrià Roig, Jordan Palacios, Maximilien Naveau, Sai Kishor Kothakota, ileniaperrella

 -- Adria Roig <adria.roig@pal-robotics.com>  Tue, 17 Sep 2024 16:00:00 -0000

ros-humble-talos-description (1.1.30-2bookworm) bookworm; urgency=high



 -- Adria Roig <adria.roig@pal-robotics.com>  Tue, 07 Nov 2023 16:00:00 -0000

ros-humble-talos-description (1.1.29-2bookworm) bookworm; urgency=high

  * Merge branch 'change_license_to_apache' into 'erbium-devel'
    change public license to Apache License 2.0
    See merge request robots/talos_robot!126
  * change public license to Apache License 2.0
  * Contributors: Jordan Palacios, Sai Kishor Kothakota

 -- Adria Roig <adria.roig@pal-robotics.com>  Mon, 23 Oct 2023 16:00:00 -0000

ros-humble-talos-description (1.1.28-2bookworm) bookworm; urgency=high

  * Merge branch 'mlu/fix/xacro' into 'erbium-devel'
    xacro is used in the build of talos_description
    See merge request robots/talos_robot!122
  * xacro is used in the build of talos_description
  * Contributors: Adria Roig, Mathias Lüdtke

 -- Adria Roig <adria.roig@pal-robotics.com>  Mon, 06 Feb 2023 16:00:00 -0000

ros-humble-talos-description (1.1.27-2bookworm) bookworm; urgency=high

  * Merge branch 'add_realsense_dependencies' into 'erbium-devel'
    :heavy_plus_sign: Added missing realsense description and gazebo plugin dependency
    See merge request robots/talos_robot!121
  * heavy_plus_sign
    
    Added missing realsense description and gazebo plugin dependency
  * Contributors: Adria Roig, saikishor

 -- Adria Roig <adria.roig@pal-robotics.com>  Tue, 17 Jan 2023 16:00:00 -0000

ros-humble-talos-description (1.1.26-2bookworm) bookworm; urgency=high

  * Merge branch 'urdf_srdf' into 'erbium-devel'
    Add URDF and srdf file in talos_description
    See merge request robots/talos_robot!120
  * Install an urdf for talos in talos_description compiled from the xacro
  * Add srdf file for Talos
  * Contributors: Pierre Fernbach, saikishor

 -- Adria Roig <adria.roig@pal-robotics.com>  Wed, 12 Oct 2022 16:00:00 -0000

ros-humble-talos-description (1.1.25-2bookworm) bookworm; urgency=high



 -- Adria Roig <adria.roig@pal-robotics.com>  Sun, 18 Sep 2022 16:00:00 -0000

ros-humble-talos-description (1.1.24-2bookworm) bookworm; urgency=high

  * Merge branch 'fix_camera_frame' into 'erbium-devel'
    Fix wrong optical frame
    See merge request robots/talos_robot!118
  * Fix wrong optical frame
  * Contributors: Adria Roig

 -- Adria Roig <adria.roig@pal-robotics.com>  Tue, 19 Apr 2022 16:00:00 -0000

ros-humble-talos-description (1.1.23-2bookworm) bookworm; urgency=high

  * Merge branch 'add_flexibility' into 'erbium-devel'
    Add flexibility
    See merge request robots/talos_robot!112
  * Add very small mass and inertia to flexibility links (because of issue in pybullet with null values for inertia)
  * Add zero config value for flexibility joints
  * Forward parameter name from upload_talos to upload
  * Add transmission for the flexibility
  * increase torque limit of the flexibility
  * Fix xacro for flexibility
  * Add argument to launch file to use flexibility
  * Add hip flexibility option in xacro file
  * Contributors: Pierre Fernbach, saikishor

 -- Adria Roig <adria.roig@pal-robotics.com>  Tue, 01 Mar 2022 16:00:00 -0000

ros-humble-talos-description (1.1.22-2bookworm) bookworm; urgency=high

  * Merge branch 'centroidal_mpc' into 'erbium-devel'
    Centroidal mpc
    See merge request robots/talos_robot!114
  * Added offset_y=0.00 as suggested in comment for MR
  * Add rviz in talos_joint_command_rviz.launch

